﻿using Syncfusion.Windows.Forms.Grid.Grouping;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.Xml;
using System.IO;

namespace CellGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataCollection data = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 10; i++)
            {
                data.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }

            gridGroupingControl1.DataSource = data;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;

           this.gridGroupingControl1.Font = new System.Drawing.Font("Segoe UI", 16F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.gridGroupingControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Metro;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            XmlTextWriter xw = new XmlTextWriter("GridSchema.xml", System.Text.Encoding.UTF8);
            XmlTextWriter xwApp = new XmlTextWriter("GridLooknFeel.xml", System.Text.Encoding.UTF8);
            xw.Formatting = System.Xml.Formatting.Indented;
            this.gridGroupingControl1.WriteXmlSchema(xw);
            this.gridGroupingControl1.WriteXmlLookAndFeel(xwApp);
            xw.Close();
            xwApp.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.gridGroupingControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.SystemTheme;
            this.gridGroupingControl1.Appearance.AnyCell.Font.Size = 10f;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (File.Exists("GridSchema.xml") && File.Exists("GridLooknFeel.xml"))
            {
                XmlReader xr = new XmlTextReader("GridSchema.xml");
                XmlReader xrApp = new XmlTextReader("GridLooknFeel.xml");
                this.gridGroupingControl1.ApplyXmlSchema(xr);
                this.gridGroupingControl1.ApplyXmlLookAndFeel(xrApp);
                xr.Close();
                xrApp.Close();
            }
            else
                MessageBox.Show("Click \"Save Xml Schema\" button to serialize the grid.");
        }

    }
}
